classification
Title: cross compiling xxlimited fails with "Py_LIMITED_API is incompatible with Py_DEBUG"
Type: behavior Stage: resolved
Components: Cross-Build Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: xdegaye Nosy List: Alex.Willmer, doko, python-dev, vstinner, xdegaye
Priority: normal Keywords: patch

Created on 2016-12-09 08:51 by xdegaye, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
xxlimited_abiflags.patch xdegaye, 2016-12-09 10:33 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg282771 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-12-09 08:51
This happens when the cross compilation is done with '--with-pydebug' while the native interpeter used to run setup.py has been built without it. The error message is:
    Py_LIMITED_API is incompatible with Py_DEBUG, Py_TRACE_REFS, and Py_REF_DEBUG
msg282773 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2016-12-09 10:33
Patch attached.
msg282774 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-12-09 11:23
xxlimited_abiflags.patch LGTM.
msg282856 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-10 15:48
New changeset f9e0c864157c by Xavier de Gaye in branch '3.6':
Issue #28918: Fix the cross compilation of xxlimited when Python
https://hg.python.org/cpython/rev/f9e0c864157c

New changeset ff82dfd558df by Xavier de Gaye in branch 'default':
Issue #28918: Merge 3.6.
https://hg.python.org/cpython/rev/ff82dfd558df
History
Date User Action Args
2017-03-31 16:36:07dstufftsetpull_requests: + pull_request827
2016-12-11 19:30:35xdegayesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-12-10 15:48:46python-devsetnosy: + python-dev
messages: + msg282856
2016-12-09 11:23:05vstinnersetnosy: + vstinner
messages: + msg282774
2016-12-09 10:33:40xdegayesetfiles: + xxlimited_abiflags.patch
keywords: + patch
messages: + msg282773

stage: needs patch -> patch review
2016-12-09 08:51:23xdegayecreate